### Virtual Method

# Gtk Dialog response

deprecated: 4.10

#### Declaration [src]

    void
    response (
      GtkDialog* dialog,
      int response_id
    )

#### Description [src]

Emits the ::response signal with the given response ID.

Used to indicate that the user has responded to the dialog in some way.

Deprecated since: 4.10

Use `GtkWindow` instead.

Emits signal | `Gtk.Dialog::response`

#### Parameters

`response_id`

  Type: `int`

  Response ID.